Browse the API reference

Voices

Clone a voice

View as Markdown
posthttps://www.getrevox.com/api/voices/clone

Clone a voice from an audio recording. Send audio as a base64-encoded string. The cloned voice will be available in GET /voices.

Request body

  • audiostringrequired

    Base64-encoded audio data (max ~7.5MB decoded)

    max length 10000000

  • contentTypeenum (string)required

    MIME type of the audio

    One ofaudio/webmaudio/wavaudio/mpegaudio/oggaudio/mp4video/webm

  • namestringrequired

    Name for the cloned voice

    min length 1

  • languageenum (string)required

    Language of the voice

    One ofenfresdeitptruzh

Responses

201Created
  • idstringrequired
  • cartesiaVoiceIdstringrequired
  • namestringrequired
  • languagestringrequired
  • createdAtstringrequired
400Invalid request: the body or a parameter failed validation
  • messagestring
  • errorstring
  • bodyErrorsobject

    The validation errors returned from the API.

    Show 1 field
    • issuesarray of objectrequired
      Show 3 fields
      • patharray of one ofrequired
        Show 2 variants
        1. One ofstringstring

        2. One ofnumbernumber

      • messagestringrequired
      • codestring
401Missing or invalid API key
  • messagestring
  • errorstring
  • bodyErrorsobject

    The validation errors returned from the API.

    Show 1 field
    • issuesarray of objectrequired
      Show 3 fields
      • patharray of one ofrequired
        Show 2 variants
        1. One ofstringstring

        2. One ofnumbernumber

      • messagestringrequired
      • codestring
502HTTP 502
  • messagestring
  • errorstring
  • bodyErrorsobject

    The validation errors returned from the API.

    Show 1 field
    • issuesarray of objectrequired
      Show 3 fields
      • patharray of one ofrequired
        Show 2 variants
        1. One ofstringstring

        2. One ofnumbernumber

      • messagestringrequired
      • codestring